Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.{your-broker}.slate-labs.com/instruments/{symbol}
import requests url = "https://api.{your-broker}.slate-labs.com/instruments/{symbol}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.{your-broker}.slate-labs.com/instruments/{symbol}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "symbol": "<string>", "display_name": "<string>", "category": "<string>", "base_currency": "<string>", "quote_currency": "<string>", "unit_currency": "USD", "digits": 5, "pip_size": 123, "contract_size": 100000, "min_lot": 0.01, "max_lot": 100, "lot_step": 0.01, "margin_rate": 123, "spread": 0, "swap_type": "pips", "swap_long": 0, "swap_short": 0, "stale_threshold_ms": 123, "is_active": true, "is_enabled": true, "asset_class": "other", "exchange": "<string>", "provider": "<string>", "provider_symbol": "<string>", "last_bid": 123, "last_ask": 123, "last_tick_at": "2023-11-07T05:31:56Z", "logo_base_url": "<string>", "logo_quote_url": "<string>", "localized_description": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Successful Response